Skip to main content
GET
/
api
/
v1
/
authorization
/
llm
/
list-users
List users with permissions
curl --request GET \
  --url https://apigw.mka1.com/api/v1/authorization/llm/list-users \
  --header 'Authorization: Bearer <token>'
{
  "users": [
    "<string>"
  ],
  "continuationToken": "<string>"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Query Parameters

resourceType
enum<string>
required

Type of LLM resource

Available options:
completion,
file,
vector_store,
conversation,
response
resourceId
string
required

Unique identifier for the resource

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
role
enum<string>
required

Permission role for the resource (owner > writer > reader)

Available options:
owner,
writer,
reader
continuationToken
string

Pagination token for fetching next page of results

Response

Successfully retrieved list of users

users
string[]
required

Array of user IDs with the specified role

Unique identifier for the user, or "*" to grant/revoke public access

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
continuationToken
string

Token for fetching the next page of results